Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.event
Class GraphicsNodeMouseEvent

    java.lang.Object
      java.util.EventObject
          org.apache.batik.gvt.event.GraphicsNodeEvent
              org.apache.batik.gvt.event.GraphicsNodeInputEvent
                  org.apache.batik.gvt.event.GraphicsNodeMouseEvent

All Implemented Interfaces:
  Serializable

    public class GraphicsNodeMouseEvent

extends GraphicsNodeInputEvent

An event which indicates that a mouse action occurred in a graphics node.

See Also:
  Serialized Form

Field Summary
`static int` | `MOUSE_CLICKED` The id for the "mouseClicked" event.
`static int` | `MOUSE_DRAGGED` The id for the "mouseDragged" event.
`static int` | `MOUSE_ENTERED` The id for the "mouseEntered" event.
`static int` | `MOUSE_EXITED` The id for the "mouseExited" event.
`static int` | `MOUSE_MOVED` The id for the "mouseMoved" event.
`static int` | `MOUSE_PRESSED` The id for the "mousePressed" event.
`static int` | `MOUSE_RELEASED` The id for the "mouseReleased" event.

Fields inherited from class org.apache.batik.gvt.event.GraphicsNodeInputEvent
`ALT_GRAPH_MASK, ALT_MASK, BUTTON1_MASK, BUTTON2_MASK, BUTTON3_MASK, CAPS_LOCK_MASK, CTRL_MASK, KANA_LOCK_MASK, META_MASK, NUM_LOCK_MASK, SCROLL_LOCK_MASK, SHIFT_MASK`

Fields inherited from class org.apache.batik.gvt.event.GraphicsNodeEvent
`id`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`GraphicsNodeMouseEvent(GraphicsNode source, int id, long when, int modifiers, int lockState, int button, float x, float y, int clientX, int clientY, int screenX, int screenY, int clickCount, GraphicsNode relatedNode)` Constructs a new graphics node mouse event.
`GraphicsNodeMouseEvent(GraphicsNode source, MouseEvent evt, int button, int lockState)` Constructs a new graphics node mouse event from an AWT MouseEvent.

Method Summary
`int` | `getButton()` Returns the mouse button that changed state.
`int` | `getClickCount()` Returns the number of mouse clicks associated with this event.
`Point` | `getClientPoint()` Returns the (x, y) position of the event relative to the screen.
`float` | `getClientX()` Returns the horizontal x position of the event relative to the source graphics node.
`float` | `getClientY()` Returns the vertical y position of the event relative to the source node.
`Point2D` | `getPoint2D()` Returns the (x, y) position of the event relative to the source node.
`GraphicsNode` | `getRelatedNode()` Returns the related node for this `GraphicsNodeMouseEvent`.
`Point` | `getScreenPoint()` Returns the (x, y) position of the event relative to the screen.
`int` | `getScreenX()` Returns the horizontal x position of the event relative to the screen.
`int` | `getScreenY()` Returns the vertical y position of the event relative to the screen.
`float` | `getX()` Returns the horizontal x position of the event relative to the source graphics node.
`float` | `getY()` Returns the vertical y position of the event relative to the source node.

Methods inherited from class org.apache.batik.gvt.event.GraphicsNodeInputEvent
`getLockState, getModifiers, getWhen, isAltDown, isAltGraphDown, isControlDown, isMetaDown, isShiftDown`

Methods inherited from class org.apache.batik.gvt.event.GraphicsNodeEvent
`consume, getGraphicsNode, getID, isConsumed`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MOUSE_CLICKED

    public static final int MOUSE_CLICKED

  The id for the "mouseClicked" event. This MouseEvent occurs when a mouse button is pressed and released.

  See Also:
    Constant Field Values

### MOUSE_PRESSED

    public static final int MOUSE_PRESSED

  The id for the "mousePressed" event. This MouseEvent occurs when a mouse button is pushed down.

  See Also:
    Constant Field Values

### MOUSE_RELEASED

    public static final int MOUSE_RELEASED

  The id for the "mouseReleased" event. This MouseEvent occurs when a mouse button is let up.

  See Also:
    Constant Field Values

### MOUSE_MOVED

    public static final int MOUSE_MOVED

  The id for the "mouseMoved" event. This MouseMotionEvent occurs when the mouse position changes.

  See Also:
    Constant Field Values

### MOUSE_ENTERED

    public static final int MOUSE_ENTERED

  The id for the "mouseEntered" event. This MouseEvent occurs when the mouse cursor enters a graphics node's area.

  See Also:
    Constant Field Values

### MOUSE_EXITED

    public static final int MOUSE_EXITED

  The id for the "mouseExited" event. This MouseEvent occurs when the mouse cursor leaves a graphics node's area.

  See Also:
    Constant Field Values

### MOUSE_DRAGGED

    public static final int MOUSE_DRAGGED

  The id for the "mouseDragged" event. This MouseEvent occurs when the mouse position changes while the "drag" modifier is active (for example, the shift key).

  See Also:
    Constant Field Values

Constructor Detail

### GraphicsNodeMouseEvent

    public GraphicsNodeMouseEvent(GraphicsNode source,
                                  int id,
                                  long when,
                                  int modifiers,
                                  int lockState,
                                  int button,
                                  float x,
                                  float y,
                                  int clientX,
                                  int clientY,
                                  int screenX,
                                  int screenY,
                                  int clickCount,
                                  GraphicsNode relatedNode)

  Constructs a new graphics node mouse event.

  Parameters:
    `source` - the graphics node where the event originated
    `id` - the id of this event
    `when` - the time the event occurred
    `modifiers` - the modifier keys down when event occurred
    `lockState` - the lock keys active when the event occurred
    `button` - the mouse button that changed state
    `x` - the mouse x coordinate
    `y` - the mouse y coordinate
    `screenX` - the mouse x coordinate relative to the screen
    `screenY` - the mouse y coordinate relative to the screen
    `clickCount` - the number of clicks
    `relatedNode` - the related node
  See Also:
    `getRelatedNode()`

### GraphicsNodeMouseEvent

    public GraphicsNodeMouseEvent(GraphicsNode source,
                                  MouseEvent evt,
                                  int button,
                                  int lockState)

  Constructs a new graphics node mouse event from an AWT MouseEvent.

  Parameters:
    `source` - the source where the event originated
    `evt` - the AWT mouse event which is the source of this GraphicsNodeEvent

Method Detail

### getButton

    public int getButton()

  Returns the mouse button that changed state.

### getX

    public float getX()

  Returns the horizontal x position of the event relative to the source graphics node.

  Returns:
    x a float indicating horizontal position relative to the node

### getY

    public float getY()

  Returns the vertical y position of the event relative to the source node.

  Returns:
    y a float indicating vertical position relative to the node

### getClientX

    public float getClientX()

  Returns the horizontal x position of the event relative to the source graphics node.

  Returns:
    x a float indicating horizontal position relative to the node

### getClientY

    public float getClientY()

  Returns the vertical y position of the event relative to the source node.

  Returns:
    y a float indicating vertical position relative to the node

### getScreenX

    public int getScreenX()

  Returns the horizontal x position of the event relative to the screen.

  Returns:
    x a float indicating horizontal position relative to the screen

### getScreenY

    public int getScreenY()

  Returns the vertical y position of the event relative to the screen.

  Returns:
    y a float indicating vertical position relative to the screen

### getScreenPoint

    public Point getScreenPoint()

  Returns the (x, y) position of the event relative to the screen.

  Returns:
    a Point object containing the x and y coordinates

### getClientPoint

    public Point getClientPoint()

  Returns the (x, y) position of the event relative to the screen.

  Returns:
    a Point object containing the x and y coordinates

### getPoint2D

    public Point2D getPoint2D()

  Returns the (x, y) position of the event relative to the source node.

  Returns:
    a Point object containing the x and y coordinates

### getClickCount

    public int getClickCount()

  Returns the number of mouse clicks associated with this event.

  Returns:
    integer value for the number of clicks

### getRelatedNode

    public GraphicsNode getRelatedNode()

  Returns the related node for this `GraphicsNodeMouseEvent`. For a `MOUSE_ENTERED` event it is the previous node target, for a `MOUSE_EXITED` event it is the next node target and for a `MOUSE_DRAGGED` event it is the node under the mouse pointer. Otherwise the value is `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.